Bug 479518 - Miro does not inhibit the gnome screensaver
Miro does not inhibit the gnome screensaver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Thorsten Scherf
Fedora Extras Quality Assurance
:
Depends On: 485011
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 10:16 EST by Peter Janakiev
Modified: 2009-03-02 11:58 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.0-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 11:58:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Janakiev 2009-01-10 10:16:19 EST
Description of problem:
When I star watching the downloaded videos from Miro my screen saver gets activated no matter I am actually watching a video thus I am not supposed to move the mouse or press a button on the KBD meanwhile. This is not correct, the gnome-screensaver should not blanc the screen during video playback.
I use Miro with gstreamer backend and gnome desktop with the default settings - the activate screensaver is set to 5 minutes of idleness.

Version-Release number of selected component (if applicable):
Miro-1.2.8-1.fc10.i386
gnome-screensaver-2.24.1-2.fc10.i386


How reproducible:
always

Steps to Reproduce:
1. set the idle time to something low as 5 minutes
2. Open Miro, download some episode of a show and play it
3.
  
Actual results:
after five minutes of playback the screen darkens and turns off

Expected results:
the video playback should inhibit the screensaver, the user is not supposed to see screensaver while watching video!

Additional info:
Comment 1 will kahn-greene 2009-01-10 19:53:17 EST
We're tracking this issue upstream in bug 3067:

   http://bugzilla.pculture.org/show_bug.cgi?id=3067

Miro 2.0 has a fix for disabling the gnome screensaver when watching videos in fullscreen.  The infrastructure is there for other screensaver systems, but no support has been written yet.
Comment 2 Fedora Update System 2009-02-25 03:04:30 EST
Miro-2.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/Miro-2.0-1.fc10
Comment 3 Fedora Update System 2009-02-25 11:26:18 EST
Miro-2.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2084
Comment 4 Fedora Update System 2009-02-27 05:27:17 EST
Miro-2.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/Miro-2.0-2.fc10
Comment 5 Fedora Update System 2009-02-27 19:23:02 EST
Miro-2.0-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2139
Comment 6 Fedora Update System 2009-02-27 22:23:14 EST
Miro-2.0-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2139
Comment 7 Fedora Update System 2009-03-02 11:57:50 EST
Miro-2.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.